import * as React from 'react';
import { PopoverProps } from '@material-ui/core';
import { DateRange, DefinedRange } from '../types';
import { Locale } from 'date-fns';
export interface DateRangePickerWrapperProps {
    open: boolean;
    onChange: (dateRange: DateRange) => void;
    onToggle?: () => void;
    initialDateRange?: DateRange;
    minDate?: Date;
    maxDate?: Date;
    definedRanges?: DefinedRange[];
    closeOnClickOutside?: boolean;
    wrapperClassName?: string;
    /**
     * The date-fns locale object to localize the user interface.
     * @default 'enGB'
     */
    locale?: Locale;
    /**
     * PopoverProps applied to main Popover component
     */
    popoverProps?: Partial<PopoverProps>;
    /**
     * Text for start toolbar placeholder.
     * @default 'Start'
     */
    startText?: React.ReactNode;
    /**
     * Text for end toolbar placeholder.
     * @default 'End'
     */
    endText?: React.ReactNode;
    /**
     * Show the outside days. An outside day is a day falling in the next or the previous month.
     * @default false
     */
    showOutsideDays?: boolean;
    /**
     * Display six weeks per months, regardless the month’s number of weeks.
     * @default false
     */
    fixedWeeks?: boolean;
    /** The index of the first day of the week (0 - Sunday).
     * @param {0|1|2|3|4|5|6}
     */
    weekStartsOn?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
}
declare const DateRangePickerWrapper: React.FC<DateRangePickerWrapperProps>;
export default DateRangePickerWrapper;
