import React from 'react';
import { PopoverProps } from '@material-ui/core';
import { Locale } from 'date-fns';
import { DateRange, DefinedRange, NavigationAction, Setter } from '../types';
export declare type Marker = symbol;
export declare const MARKERS: {
    [key: string]: Marker;
};
interface MenuProps {
    dateRange: DateRange;
    ranges: DefinedRange[];
    minDate: Date;
    maxDate: Date;
    firstMonth: Date;
    secondMonth: Date;
    locale: Locale;
    setFirstMonth: Setter<Date>;
    setSecondMonth: Setter<Date>;
    setDateRange: Setter<DateRange>;
    helpers: {
        inHoverRange: (day: Date) => boolean;
    };
    handlers: {
        onDayClick: (day: Date) => void;
        onDayHover: (day: Date) => void;
        onMonthNavigate: (marker: symbol, action: NavigationAction) => void;
    };
    popoverProps?: Partial<PopoverProps>;
    startText?: React.ReactNode;
    endText?: React.ReactNode;
    weekStartsOn?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
    showOutsideDays: boolean;
    fixedWeeks: boolean;
}
declare const Menu: React.FC<MenuProps>;
export default Menu;
