import { Locale } from 'date-fns';
import { DateRange } from './types';
export declare const identity: <T>(x: T) => any;
export declare const chunks: <T>(array: readonly T[], size: number) => T[][];
export declare const combine: (...args: any[]) => string;
export declare const getDaysInMonth: (date: Date, locale: Locale, weekStartsOn?: 0 | 1 | 2 | 3 | 4 | 5 | 6 | undefined) => Date[];
export declare const isStartOfRange: ({ startDate }: DateRange, day: Date) => boolean;
export declare const isEndOfRange: ({ endDate }: DateRange, day: Date) => boolean;
export declare const inDateRange: ({ startDate, endDate }: DateRange, day: Date) => boolean;
export declare const isRangeSameDay: ({ startDate, endDate }: DateRange) => boolean;
declare type Falsy = false | null | undefined | 0 | '';
export declare const parseOptionalDate: (date: Date | Falsy, defaultValue: Date) => Date;
export declare const getValidatedMonths: (range: DateRange, minDate: Date, maxDate: Date) => [Date | undefined, Date | undefined];
export {};
